<!DOCTYPE html
  PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "DTD/xhtml1-strict.dtd">
<html>
  <head>
    <title>API docs for &ldquo;kiwi.interfaces.ISearchFilter&rdquo;</title>
    <meta content="text/html;charset=utf-8" http-equiv="Content-Type" />
    <link href="apidocs.css" type="text/css" rel="stylesheet" />
    
    
  </head>
  <body>
    <h1 class="class">Class k.i.ISearchFilter(<a href="kiwi.component.Interface.html">Interface</a>):</h1>
    <p>
      <span id="part">Part of <a href="kiwi.html">kiwi</a>.<a href="kiwi.interfaces.html">interfaces</a></span>
      
      <a href="classIndex.html#kiwi.interfaces.ISearchFilter">View In Hierarchy</a>
    </p>
    <div>
      
    </div>
    <div class="undocumented">No class docstring</div>
    
    
    <div id="splitTables">
      <table class="children sortable" id="id423">
  
  
  
  
  <tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.interfaces.ISearchFilter.html#get_state">get_state</a></td>
    <td><span>Gets the state.
</span></td>
  </tr>
  
</table>
      
        <p>
          Inherited from <a href="kiwi.component.Interface.html">Interface</a>:
        </p>
        <table class="children sortable" id="id424">
  
  
  
  
  <tr class="baseclassmethod">
    
    
    <td>Class Method</td>
    <td><a href="kiwi.component.Interface.html#providedBy">providedBy</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr>
  
</table>
      
      
    </div>
    
    
    
    <div class="function">
        <a name="kiwi.interfaces.ISearchFilter.get_state"></a>
        <a name="get_state"></a>
        <div class="functionHeader">
        
        def get_state():
        
      </div>
        <div class="functionBody">
          
          <div>Gets the state.
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Returns</td><td colspan="2"> (type: <code>QueryState</code>
)</td></tr></table></div>
        </div>
      </div>
    
    <address>
      <a href="index.html">API Documentation</a> for Kiwi, generated by <a href="http://codespeak.net/~mwh/pydoctor/">pydoctor</a> at 2008-05-29 16:06:17.
    </address>
  </body>
</html>